--begin fps_test.lua
CLU_Call('SetGameMode',2);

CLU_Call('LoadIrrFPSLevel','Data/Levels/level2l.irr');

CLU_Call('FPS_AddWeapon',2);
CLU_Call('AddEvent_FPS',0,98,1,10000,'',0,CLU_Call('FloatToVector',-114,180,-1221));
CLU_Call('AddEvent_FPS',2,99,1,8,'abc',0,CLU_Call('FloatToVector',0,0,0)); --Start Cinematic
CLU_Call('AddEvent_FPS',2,2,1,5000,'abc',0,CLU_Call('FloatToVector',-114,180,-1221));
CLU_Call('AddEvent_FPS',4000,98,1,10000,'The story of Christmas... As told by the friendly North Pole Postman.',0,CLU_Call('FloatToVector',-114,180,-1221));
CLU_Call('AddEvent_FPS',4000,8,1,1000,'Data/Voice/cin1.wav',0,CLU_Call('FloatToVector',0, 0, 0));
CLU_Call('AddEvent_FPS',8500,98,1,10000,'It happened recently... I was delivering the mail, when suddenly an elf came to me crying and saying: Santa has gone mad! He has lost his messenger password and is himself no more!',0,CLU_Call('FloatToVector',-114,180,-1221));
CLU_Call('AddEvent_FPS',8500,8,1,1000,'Data/Voice/cin2.wav',0,CLU_Call('FloatToVector',0, 0, 0));
CLU_Call('AddEvent_FPS',5003,97,1,10000,'Data/Textures/santa_claus.jpg',0,CLU_Call('FloatToVector',-114,180,-1221));
CLU_Call('AddEvent_FPS',5003,2,1,11000,'abc',0,CLU_Call('FloatToVector',27,89,-78));
CLU_Call('AddEvent_FPS',16004,2,1,2000,'abc',0,CLU_Call('FloatToVector',1021,199,1282));
CLU_Call('AddEvent_FPS',18005,6,1,1,'abc',0,CLU_Call('FloatToVector',-1228,100,1959));
CLU_Call('AddEvent_FPS',18005,98,1,10000,'He has sent the EVIL Snowpeople to destroy the world as we know it!!! Only you, humble postman, can save us!! (We are so screwed...)',0,CLU_Call('FloatToVector',0,0,0));
CLU_Call('AddEvent_FPS',18005,8,1,1000,'Data/Voice/cin3.wav',0,CLU_Call('FloatToVector',0, 0, 0));
CLU_Call('AddEvent_FPS',19005,2,1,7000,'abc',0,CLU_Call('FloatToVector',-1228,345,1959));
CLU_Call('AddEvent_FPS',26006,2,1,3000,'abc',0,CLU_Call('FloatToVector',-1206,337,1976));
CLU_Call('AddEvent_FPS',29006,98,1,10000,'This toilet has nothing to do with the game!!!',0,CLU_Call('FloatToVector',0,0,0));
CLU_Call('AddEvent_FPS',29006,8,1,1000,'Data/Voice/cin4.wav',0,CLU_Call('FloatToVector',0, 0, 0));
CLU_Call('AddEvent_FPS',29007,2,1,4000,'abc',0,CLU_Call('FloatToVector',-1372,197,2564));
CLU_Call('AddEvent_FPS',33008,2,1,8000,'abc',0,CLU_Call('FloatToVector',-147,268,1131));
CLU_Call('AddEvent_FPS',33008,98,1,10000,'At which I said proudly: I SHALL SAVE CHRISTMAS!!! Commence SAVING!!!',0,CLU_Call('FloatToVector',0,0,0));
CLU_Call('AddEvent_FPS',33008,8,1,1000,'Data/Voice/cin5.wav',0,CLU_Call('FloatToVector',0, 0, 0));
CLU_Call('AddEvent_FPS',41009,100,1,8,'abc',0,CLU_Call('FloatToVector',0,0,0)); --End Cinematic

CLU_Call('AddEvent_FPS',0,999,1,400,'Data/Levels/santa_house.lua',1,CLU_Call('FloatToVector',-60, 100, -2070));

CLU_Call('AddEvent_FPS',0,8,1,1000,'Data/Voice/mail.wav',1,CLU_Call('FloatToVector',-675, 128, 150));


CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -1000),CLU_Call('FloatToVector',180, 90, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',500, 1100, -1000),CLU_Call('FloatToVector',180, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',500, 1100, -1100),CLU_Call('FloatToVector',180, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',500, 1100, -950),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',520, 1100, -1000),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',520, 1100, -800),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',510, 1100, -700),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',500, 1100, -700),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -800),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -900),CLU_Call('FloatToVector',90, 0, 90));
CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',490, 1100, -1100),CLU_Call('FloatToVector',90, 0, 90));
--CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -1000),CLU_Call('FloatToVector',90, 0, 90));
--CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -1000),CLU_Call('FloatToVector',90, 0, 90));
--CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -1000),CLU_Call('FloatToVector',90, 0, 90));
--CLU_Call('FPS_CreateMissile',CLU_Call('FloatToVector',480, 1100, -1000),CLU_Call('FloatToVector',90, 0, 90));


--end